
D4Science Infrastructure - Incident #9679

TabularData: Tomcat fails to start

Sep 13, 2017 02:12 PM - Roberto Cirillo

Status: Closed Start date: Sep 13, 2017

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Pre-Production   

Description

After the last upgrade, the tomcat container fails to start with a lot of the following exceptions in the catalina.log:

2017-09-13 14:07:58,659 [localhost-startStop-1] ERROR org.apache.catalina.startup.ContextConfig- U

nable to process Jar entry [javassist/util/proxy/SerializedProxy$1.class] from Jar [jar:file:/home

/gcube/tomcat/webapps/whn-manager/WEB-INF/lib/javassist-3.20.0-GA.jar!/] for annotations

java.io.EOFException

    at java.io.DataInputStream.readUnsignedShort(DataInputStream.java:340)

    at org.apache.tomcat.util.bcel.classfile.Utility.swallowMethodParameters(Utility.java:796)

    at org.apache.tomcat.util.bcel.classfile.Attribute.readAttribute(Attribute.java:171)

    at org.apache.tomcat.util.bcel.classfile.FieldOrMethod.<init>(FieldOrMethod.java:57)

    at org.apache.tomcat.util.bcel.classfile.Method.<init>(Method.java:71)

    at org.apache.tomcat.util.bcel.classfile.ClassParser.readMethods(ClassParser.java:267)

    at org.apache.tomcat.util.bcel.classfile.ClassParser.parse(ClassParser.java:127)

    at org.apache.catalina.startup.ContextConfig.processAnnotationsStream(ContextConfig.java:2058)

    at org.apache.catalina.startup.ContextConfig.processAnnotationsJar(ContextConfig.java:1934)

    at org.apache.catalina.startup.ContextConfig.processAnnotationsUrl(ContextConfig.java:1900)

    at org.apache.catalina.startup.ContextConfig.processAnnotations(ContextConfig.java:1885)

    at org.apache.catalina.startup.ContextConfig.webConfig(ContextConfig.java:1317)

    at org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:876)

    at org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:374)

    at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:117)

    at org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:90)

    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5378)

    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:649)

    at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1083)

    at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1880)

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

    at java.util.concurrent.FutureTask.run(FutureTask.java:266)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

    at java.lang.Thread.run(Thread.java:748)

 This problem seems to be related to the current tomcat version: 7.0.55 and it seems to be fixed in the next version: 7.0.56 as

reported here: http://tomcat.apache.org/tomcat-7.0-doc/changelog.html

Is it possible to upgrade the tomcat container to 7.0.56 version?

The smartgears node is the following:

node56.p.d4science.research-infrastructures.eu

Related issues:

Related to D4Science Infrastructure - Task #6306: Migrate development infrast... Closed May 09, 2017

History

#1 - Sep 13, 2017 02:23 PM - Roberto Cirillo

The problem seems to be related to an incompatibility between the tomcat container and the javassist library (v 3.20) used by the smartgears
distribution

#2 - Sep 13, 2017 02:33 PM - Roberto Cirillo

- Related to Task #6306: Migrate development infrastructure nodes to Java 8 added

#3 - Sep 13, 2017 02:37 PM - Roberto Cirillo

As reported in this old ticket #6306 this is a porblem related to an incompatibility between java8, tomcat  and ubuntu 12.04 distribution.

So we need to upgrade this VM to ubuntu 14.04 

#4 - Sep 13, 2017 04:12 PM - Roberto Cirillo

- Status changed from New to Closed

- % Done changed from 0 to 100

We have transferred the tabulardata service on another VM (ubuntu 14.0.4) tabulardata-pre.d4science.org and the problem is solved. 
